*==============================================================================
* Program:				EVENTBOUND.PRG
* Purpose:				Demonstrate event binding
* Author:				Ted Roche
* Copyright:			(c) 2002 
* Last revision:		Friday, August 09, 2002
* Parameters:			
* Returns:				
* Environment in:		
* Environment out:		
*==============================================================================


DEFINE CLASS OutlookEvents AS session OLEPUBLIC
    PROTECTED oMessageSink  && object to message with bound events
    
    PROCEDURE Register(loMessageSink)
      THIS.oMessageSink = loMessageSink
    ENDPROC && Register
    
    PROCEDURE Unregister
      STORE null TO this.oMessageSink
    ENDPROC  && Register

	IMPLEMENTS ApplicationEvents IN "c:\program files\microsoft office\office\msoutl9.olb"

	PROCEDURE ApplicationEvents_ItemSend(Item AS VARIANT, Cancel AS LOGICAL) AS VOID
	  THIS.oMessageSink.EventMessage("Item Send")
	ENDPROC

	PROCEDURE ApplicationEvents_NewMail() AS VOID
	  THIS.oMessageSink.EventMessage("New Mail")
	ENDPROC

	PROCEDURE ApplicationEvents_Reminder(Item AS VARIANT) AS VOID
	  THIS.oMessageSink.EventMessage("Reminder")
	ENDPROC

	PROCEDURE ApplicationEvents_OptionsPagesAdd(Pages AS VARIANT) AS VOID
	  THIS.oMessageSink.EventMessage("OptionsPagesAdd")
	ENDPROC

	PROCEDURE ApplicationEvents_Startup() AS VOID
	  THIS.oMessageSink.EventMessage("Startup")
	ENDPROC

	PROCEDURE ApplicationEvents_Quit() AS VOID
	  THIS.oMessageSink.EventMessage("Quit")
	ENDPROC

ENDDEFINE